Package ru.bitel.bgbilling.kernel.integration.server.bean

# Class RegisterLoadPattern

java.lang.Object
ru.bitel.bgbilling.kernel.integration.server.bean.RegisterLoadPattern

public class RegisterLoadPattern extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `TYPE_DBF`
  `static final int`
  `TYPE_TXT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RegisterLoadPattern(String key, String title, int fileType, String[] balanceItemTypes, int registerType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getHandlerClassName()`
  `String`
  `getKey()`
  `String`
  `getPatternTitle()`
  `String`
  `getPaymentComment()`
  `int`
  `getRegisterType()`
  `String`
  `getTitle()`
  `Register`
  `loadRegister(Connection con, RegisterLoadData data)`
  `String`
  `processString(Connection con, RegisterItemManager itemManager, Register register, String[] line, Date pdate)`
  разбирает одну линию, возвращает не-null с текстом ошибки, если она есть
  `void`
  `setBalanceItemTypes(int[] paymentType)`
  `void`
  `setCommentDelimiter(String commentDelimiter)`
  `void`
  `setCommentPositions(String[] commentPositions)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setDateFormat(DateFormat dateFormat)`
  `void`
  `setDatePos(int datePos)`
  `void`
  `setEncoding(String encoding)`
  `void`
  `setExtraParametersMap(Map<Integer,String> extraParametersMap)`
  `void`
  `setHandlerClassName(String handlerClassName)`
  `void`
  `setIdPos(int idPos)`
  `void`
  `setPattern(Pattern pattern)`
  `void`
  `setPatternTitle(String patternTitle)`
  `void`
  `setRegisterType(int registerType)`
  `void`
  `setSearchContracts(SearchContracts contractFinders)`
  `void`
  `setSummaPos(int[] summaPos)`
  `void`
  `setSummaPos(String[] summaPos)`
  `void`
  `setSummaReplace(String summaReplace)`
  `void`
  `setType(int type)`
  `void`
  `setZeroEncoding(boolean zeroEncoding)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TYPE_TXT

    public static final int TYPE_TXT
    See Also:
      - Constant Field Values

  - ### TYPE_DBF

    public static final int TYPE_DBF
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RegisterLoadPattern

    public RegisterLoadPattern(String key, String title, int fileType, String[] balanceItemTypes, int registerType)

- ## Method Details

  - ### loadRegister

    public Register loadRegister(Connection con, RegisterLoadData data) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### processString

    public String processString(Connection con, RegisterItemManager itemManager, Register register, String[] line, Date pdate)
    разбирает одну линию, возвращает не-null с текстом ошибки, если она есть

  - ### getKey

    public String getKey()

  - ### setEncoding

    public void setEncoding(String encoding) throws UnsupportedEncodingException
    Throws:
      `UnsupportedEncodingException`

  - ### setSummaPos

    public void setSummaPos(int[] summaPos)

  - ### setSummaPos

    public void setSummaPos(String[] summaPos)

  - ### setExtraParametersMap

    public void setExtraParametersMap(Map<Integer,String> extraParametersMap)

  - ### setIdPos

    public void setIdPos(int idPos)

  - ### setContractId

    public void setContractId(int contractId)

  - ### setCommentPositions

    public void setCommentPositions(String[] commentPositions)

  - ### setSearchContracts

    public void setSearchContracts(SearchContracts contractFinders)

  - ### getPaymentComment

    public String getPaymentComment()

  - ### setSummaReplace

    public void setSummaReplace(String summaReplace)

  - ### setType

    public void setType(int type)

  - ### setPattern

    public void setPattern(Pattern pattern)

  - ### setBalanceItemTypes

    public void setBalanceItemTypes(int[] paymentType)

  - ### getTitle

    public String getTitle()

  - ### setDatePos

    public void setDatePos(int datePos)

  - ### setDateFormat

    public void setDateFormat(DateFormat dateFormat)

  - ### setZeroEncoding

    public void setZeroEncoding(boolean zeroEncoding)

  - ### getPatternTitle

    public String getPatternTitle()

  - ### setPatternTitle

    public void setPatternTitle(String patternTitle)

  - ### getRegisterType

    public int getRegisterType()

  - ### setRegisterType

    public void setRegisterType(int registerType)

  - ### setCommentDelimiter

    public void setCommentDelimiter(String commentDelimiter)

  - ### getHandlerClassName

    public String getHandlerClassName()

  - ### setHandlerClassName

    public void setHandlerClassName(String handlerClassName)